{% use "form_div_layout.html.twig" %}

{%- block form_row -%}
    {%- set row_attr = { class: "uk-margin" } -%}
    {{- parent() -}}
{%- endblock -%}

{%- block form_label -%}
    {%- set label_attr = label_attr|merge({'class': (label_attr.class|default('') ~ ' uk-form-label')|trim}) -%}
{#    {%- if help is not empty -%}#}
{#        <p id="{{ id }}_help"{% with { attr: help_attr } %}{{ block('attributes') }}{% endwith %}>#}
{#        <div class="uk-button" aria-label="Help: {{ help }}" uk-tooltip="{{ help }}">#}
{#            <span uk-icon="icon: question"></span>#}
{#        </div>#}
{#        </p>#}
{#    {%- endif -%}#}
    {{- parent() -}}
{%- endblock form_label -%}

{%- block form_widget_simple -%}
    {%- if errors|length > 0 -%}
        {%- set extraClass = ' uk-input uk-form-danger' %}
    {%- else -%}
        {%- set extraClass = ' uk-input' %}
    {%- endif -%}
    {%- set attr = attr|merge({'class': (attr.class|default('') ~ extraClass)|trim}) -%}
    <div class="uk-form-controls">
        {%- if help is not empty -%}
            <div class="uk-inline uk-width-1-1">
                <a class="uk-form-icon uk-form-icon-flip" uk-icon="icon: question" aria-label="Help: {{ help }}" uk-tooltip="{{ help }}"></a>
                {{- parent() -}}
            </div>
        {%- else -%}
            {{- parent() -}}
        {%- endif -%}
    </div>
{%- endblock -%}

{%- block button_widget -%}
    {%- set attr = attr|merge({'class': (attr.class|default('') ~ ' uk-button uk-button-primary uk-button-large uk-width-1-1 uk-margin-top')|trim}) -%}
    {{- parent() -}}
{%- endblock -%}

{%- block choice_widget_collapsed -%}
    <div class="uk-form-controls">
        <div uk-form-custom="target: > * > span:last-child" class="uk-width-1-1">
            {{ parent() }}
            <button class="uk-button uk-button-default uk-width-1-1" type="button" tabindex="-1"{%- if disabled %} disabled="disabled"{% endif -%}>
                <span></span>
                <span uk-icon="icon: chevron-down"></span>
            </button>
        </div>
    </div>
{%- endblock -%}

{%- block form_errors -%}
    {%- if errors|length > 0 -%}
        <ul class="uk-list uk-text-danger">
            {%- for error in errors -%}
                <li>{{ error.message }}</li>
            {%- endfor -%}
        </ul>
    {%- endif -%}
{%- endblock form_errors -%}

{%- block form_help -%}
    {# No help here #}
{%- endblock form_help %}
